%define upstream_name    File-Map
%define upstream_version 0.67

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Memory mapping made simple and safe
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(POSIX)
BuildRequires: perl(PerlIO::Layers)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter::Progressive) >= 0.1.5
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warnings) >= 0.5.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(XSLoader)
BuildRequires: perl(open)
BuildRequires: perl(strict)
BuildRequires: perl(subs)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%{?perl_default_filter}

%description
File::Map maps files or anonymous memory into perl variables.

Advantages of memory mapping
    * * Unlike normal perl variables, mapped memory is (usually) shared
      between threads or forked processes.

    * * It is an efficient way to slurp an entire file. Unlike for example
      the File::Slurp manpage, this module returns almost immediately,
      loading the pages lazily on access. This means you only 'pay' for the
      parts of the file you actually use.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorarch}/File/
%{perl_vendorarch}/auto/File/Map/


%changelog
* Thu Aug 04 2022 tv <tv> 0.670.0-4.mga9
+ Revision: 1875090
- Rebuild for perl-5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.670.0-3.mga9
+ Revision: 1796354
- Mageia 9 Mass Rebuild

* Tue May 25 2021 tv <tv> 0.670.0-2.mga9
+ Revision: 1728093
- rebuild for perl-5.34 b/c of:
  "lib/File/Map.c: loadable library and perl binaries are mismatched (got handshake key 0xed00080, needed 0xeb00080)"

* Fri Jun 26 2020 tv <tv> 0.670.0-1.mga8
+ Revision: 1599314
- update to 0.67

* Fri Jun 19 2020 tv <tv> 0.660.0-4.mga8
+ Revision: 1596745
- rebuild for perl-5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.660.0-3.mga8
+ Revision: 1530407
- Mageia 8 Mass Rebuild

* Wed Aug 28 2019 tv <tv> 0.660.0-2.mga8
+ Revision: 1434832
- rebuild with perl-5.30

* Thu Dec 20 2018 tv <tv> 0.660.0-1.mga7
+ Revision: 1343415
- update to 0.66

* Fri Sep 21 2018 umeabot <umeabot> 0.650.0-3.mga7
+ Revision: 1292848
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 wally <wally> 0.650.0-2.mga7
+ Revision: 1248885
- rebuild for new perl 5.28.0

* Tue Oct 31 2017 tv <tv> 0.650.0-1.mga7
+ Revision: 1175169
- update to 0.65

* Mon Oct 02 2017 tv <tv> 0.640.0-6.mga7
+ Revision: 1164353
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.640.0-5.mga7
+ Revision: 1149623
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 0.640.0-4.mga7
+ Revision: 1128089
- Rebuild for perl 5.26.0

* Sun Jun 19 2016 pterjan <pterjan> 0.640.0-3.mga6
+ Revision: 1027354
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.640.0-2.mga6
+ Revision: 957324
- Mageia 6 Mass Rebuild

* Mon Jul 13 2015 sander85 <sander85> 0.640.0-1.mga6
+ Revision: 853642
- update to 0.64

* Fri Jun 26 2015 tv <tv> 0.630.0-2.mga6
+ Revision: 844870
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.630.0-1.mga6
+ Revision: 841813
- update to 0.63

* Wed Oct 15 2014 umeabot <umeabot> 0.620.0-4.mga5
+ Revision: 749850
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.620.0-3.mga5
+ Revision: 732140
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.620.0-2.mga5
+ Revision: 684741
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 0.620.0-1.mga5
+ Revision: 664390
- update to 0.62

* Tue Jun 03 2014 jquelin <jquelin> 0.610.0-3.mga5
+ Revision: 632232
- perl 5.20.0 rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.610.0-2.mga4
+ Revision: 539477
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 sander85 <sander85> 0.610.0-1.mga4
+ Revision: 492161
- update to 0.61

* Mon Aug 12 2013 sander85 <sander85> 0.600.0-1.mga4
+ Revision: 465770
- update to 0.60

* Fri Aug 09 2013 sander85 <sander85> 0.590.0-1.mga4
+ Revision: 464979
- update to 0.59

* Fri Aug 09 2013 sander85 <sander85> 0.580.0-1.mga4
+ Revision: 464879
- update to 0.58

* Fri Jun 07 2013 jquelin <jquelin> 0.570.0-1.mga4
+ Revision: 439289
- update to 0.57

* Wed May 29 2013 jquelin <jquelin> 0.560.0-4.mga4
+ Revision: 432276
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 0.560.0-3.mga4
+ Revision: 432109
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.560.0-2.mga3
+ Revision: 367269
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.560.0-1.mga3
+ Revision: 342153
- update to 0.56

* Wed Nov 14 2012 jquelin <jquelin> 0.530.0-1.mga3
+ Revision: 317621
- update to 0.53

* Mon Sep 10 2012 jquelin <jquelin> 0.520.0-1.mga3
+ Revision: 291682
- update to 0.52

* Thu Jul 05 2012 jquelin <jquelin> 0.510.0-1.mga3
+ Revision: 268149
- update to 0.51

* Wed Jun 06 2012 jquelin <jquelin> 0.500.0-1.mga3
+ Revision: 256152
- fix gcc format security error
- adding missing buildrequires:
- imported package perl-File-Map

